#
#	File:		SeeWorld.make
#
#	Contains:	Makefile for the SeeWorld Applications
#
#	Written by:	Guy Riddle
#

SeeWorld	 See SplitSee Seerver MeetingPlace Rogues SeeTV WeSeeYou

COptions 	= -r {SymOptions} -i "{CIncludes}"
							
CObjs1		= See.c.o 
			"{CLibraries}"StdClib.o 
			"{Libraries}"Runtime.o 
			"{Libraries}"Interface.o

See			 {CObjs1} SeeWorld.make
				Link -o {Targ} {CObjs1} {SymOptions}
				SetFile {Targ} -t APPL -c 'SW1' -a B

See			 See.r See.h SeeWorld.make
				Rez -d SystemSevenOrLater=1 -rd -o {Targ} See.r -append
							
CObjs2		= SplitSee.c.o 
			"{CLibraries}"StdClib.o 
			"{Libraries}"Runtime.o 
			"{Libraries}"Interface.o

SplitSee	 {CObjs2} SeeWorld.make
				Link -o {Targ} {CObjs2} {SymOptions}
				SetFile {Targ} -t APPL -c 'SW2' -a B

SplitSee	 See.r See.h SeeWorld.make
				Rez -d SystemSevenOrLater=1 -rd -o {Targ} See.r -append
							
CObjs3		= BigBrother.c.o 
			"{CLibraries}"StdClib.o 
			"{Libraries}"Runtime.o 
			"{Libraries}"Interface.o

Seerver		 {CObjs3} SeeWorld.make
				Link -o {Targ} {CObjs3} {SymOptions}
				SetFile {Targ} -t APPL -c 'SW3' -a B

Seerver		 See.r See.h SeeWorld.make
				Rez -d SystemSevenOrLater=1 -rd -o {Targ} See.r -append
							
CObjs4		= MeetingPlace.c.o 
			"{CLibraries}"StdClib.o 
			"{Libraries}"Runtime.o 
			"{Libraries}"Interface.o

MeetingPlace  {CObjs4} SeeWorld.make
				Link -o {Targ} {CObjs4} {SymOptions}
				SetFile {Targ} -t APPL -c 'SW4' -a B

MeetingPlace  See.r See.h SeeWorld.make
				Rez -d SystemSevenOrLater=1 -rd -o {Targ} See.r -append
							
CObjs5		= Rogues.c.o 
			"{CLibraries}"StdClib.o 
			"{Libraries}"Runtime.o 
			"{Libraries}"Interface.o

Rogues 		 {CObjs5} SeeWorld.make
				Link -o {Targ} {CObjs5} {SymOptions}
				SetFile {Targ} -t APPL -c 'SW5' -a B

Rogues 		 See.r See.h SeeWorld.make
				Rez -d SystemSevenOrLater=1 -rd -o {Targ} See.r -append
							
CObjs6		= Philco.c.o 
			"{CLibraries}"StdClib.o 
			"{Libraries}"Runtime.o 
			"{Libraries}"Interface.o

SeeTV 		 {CObjs6} SeeWorld.make
				Link -o {Targ} {CObjs6} {SymOptions}
				SetFile {Targ} -t APPL -c 'SW6' -a B

SeeTV 		 Philco.r See.h SeeWorld.make
				Rez -d SystemSevenOrLater=1 -rd -o {Targ} Philco.r -append
							
CObjs7		= Guardian.c.o 
			"{CLibraries}"StdClib.o 
			"{Libraries}"Runtime.o 
			"{Libraries}"Interface.o

WeSeeYou 	 {CObjs7} SeeWorld.make
				Link -o {Targ} {CObjs7} {SymOptions}
				SetFile {Targ} -t APPL -c 'SW7' -a B

WeSeeYou 	 Guardian.r See.h SeeWorld.make
				Rez -d SystemSevenOrLater=1 -rd -o {Targ} Guardian.r -append
