/*
 	File:		Caster.h
 				Main header file for Caster, a sample QuickTime Conferencing application
 	
 
 	Copyright:	 1995 by Apple Computer, Inc.
 				All rights reserved.
*/
#include "QuickTimeConferencing.h"

#define		kMenuBarID	(128)

#define		kAppleMenuID 		(128)
#define		kFileMenuID			(129)
#define		kEditMenuID 		(130)
#define		kSettingsMenuID		(131)

#define		kAboutMenuItem  	(1)

#define		kCastMenuItem 		(1)
#define		kQuitMenuItem		(3)

#define		kUndoMenuItem		(1)
#define		kCutMenuItem 		(3)
#define		kCopyMenuItem 		(4)
#define		kPasteMenuItem 		(5)
#define		kClearMenuItem 		(6)

#define		kNetworkSettingsItem	(1)
#define		kEnableVideoItem		(3)
#define		kEnableSoundItem 		(4)
#define		kVideoSettingsItem 		(6)
#define		kSoundSettingsItem 		(7)

#define		kNetworkSettingsID	(130)

#define		kMainWindowID		(128)

#define		kStartCastStringID	(128)
#define		kStopCastStringID	(129)

#define		kOKItem				(1)
#define		kCancelItem			(2)
#define		kNameTextItem		(3)

#define 	kDITop				(0x0050)
#define 	kDILeft				(0x0070)

#define		kSGSettingsType		'sgud'
