
#ifndef _LISTEX1PART_
#include "ListEx1Part.h"
#endif

#ifndef _LISTEX1PARTDEF_
#include "ListEx1PartDef.h"
#endif

#ifndef _USERSRCM_
#include "UseRsrcM.h"
#endif

ODISOStr GetTheRealPartKind(Environment* ev)
	{ return kListEx1PartKind; }

ODSLong OverrideBeginUsingLibraryResources(Environment* ev)
	{ return BeginUsingLibraryResources(); }

void OverrideEndUsingLibraryResources(Environment* ev, ODSLong ref)
	{ EndUsingLibraryResources(ref); }

void InitializeListData(Environment *ev,
		short* pNbLines,
		short* pLineHeight,
		short* pLineWidth,
		short* pLineDepth,
		short* pKind,
		short* pAutoThumb,
		short* pWantKey,
		short* pListIndex,
		short* pSel,
		char** pMul)
	{
	*pNbLines = 1000;
	*pLineHeight = 18;
	*pLineWidth = 400;
	*pLineDepth = 8;
	*pKind = 4;
	*pAutoThumb = 1;
	*pWantKey = 1;
	*pListIndex = 50;
	*pMul = (char *)NewPtrClear(*pNbLines);
	}

void FillCell(Environment *ev, short theLine, Rect* theRect)
	{
	Str255 aStr;
	RGBColor myBlack = {0, 0, 0}, myLightBlue = {0xb000, 0xb000, 0xE000}, myLightYellow = {0xE000, 0xE000, 0xb000};

	PenState thePnState;
	::GetPenState(&thePnState);
	::PenNormal();
	::EraseRect(theRect);
	::RGBForeColor(((theLine & 1) == 0)?(&myLightBlue):(&myLightYellow));
	::PaintRect(theRect);
	::RGBForeColor(&myBlack);
	::NumToString(theLine, aStr);
	::MoveTo(theRect->left+1, theRect->bottom-3);
	::DrawString(aStr);
	::SetPenState(&thePnState);
	}
