/*
	File:		GDeviceUtilities.cp

	Contains:	Utilities to deal with GDevices
				
	Written by: Kent Miller
	
	Copyright:	 1995 Apple Computer

	Change History (most recent first):

 */
#include <Displays.h>
#include "LinkedList.h"


//Function Prototypes
SInt16 			CountActiveScreenDevices(void);
void 			CenterRectInRect (Rect *r1, Rect *r2, SInt16 *hOffset, SInt16 *vOffset);
TLinkedList 	*BuildAListOfUniqueDevices(void);
SInt16 			CountUniqueDeviceRects(void);
Boolean 		IsThisDeviceOverlapped(DisplayIDType theDisplayID);
void 			MirrorAllDisplays(Boolean mirroringOn);
Boolean			MenuBarOnThisScreen(GDHandle thisGD);
