/*
 	File:		SMRP.h
 
 	Copyright:	 1984-1994 by Apple Computer, Inc.
 				All rights reserved.
 
 	Warning:	*** APPLE INTERNAL USE ONLY ***
 				This file may contain unreleased API's
 
 	Version:	Built by:			anonymous
 				From:				SMRP.i, revision 3, dated 10/31/94
 				With Interfacer:	1.1d8
 
 	Bugs:		Report bugs to Radar component System Interfaces, Latest
 				List the version information (from above) in the Problem Description.
 
*/

#ifndef __SMRP__
#define __SMRP__


#ifdef __cplusplus
extern "C" {
#endif

#if GENERATINGPOWERPC
#pragma options align=mac68k
#endif

#ifdef __CFM68K__
#pragma lib_export on
#endif


enum {
	kSMRPMaxPacketLength		= 578
};

enum {
	smrpPacketLengthErr			= -7701,
	smrpBadStateErr				= -7702,
	smrpTableFullErr			= -7703,
	smrpRangeFullErr			= -7704,
	smrpListFullErr				= -7705,
	smrpRouteNotFoundErr		= -7706,
	smrpPortNotFoundErr			= -7707,
	smrpGroupNotFoundErr		= -7708,
	smrpNotCreatorErr			= -7709,
	smrpNoResponseErr			= -7710
};


#ifdef __CFM68K__
#pragma lib_export off
#endif

#if GENERATINGPOWERPC
#pragma options align=reset
#endif

#ifdef __cplusplus
}
#endif

#endif /* __SMRP__ */
