#include "QuickTimeConferencing.h"

typedef struct MemberRecord MemberRecord;

struct MemberRecord {
	MTControllerComponent		controller;
	MTDirectorComponent			director;
	MTConferenceMember			member;
	WindowPtr					window;
	Boolean						resize;
	Rect						box;
	MemberRecord*				next;	
} ;

typedef struct {
	MTConferenceComponent		confComponent;
	MemberRecord*				memberHead;
} ConferenceRecord;

ComponentResult 	CallMember( MTName* name, WindowPtr wind, Rect* box, Boolean resize, MemberRecord** member );

ComponentResult		CreateWatchConference( Str63 userName );

void				TearDownWatch( void );

ComponentResult		CheckConferenceEvents( void );

Boolean 			IsConferenceEvent( EventRecord* event );

ComponentResult		CloseWatch( WindowPtr window );

void 				SaveWatch( void );

void				GetWatchInfo( void );

void				DoCopy( void );

Boolean 			IsWatchWindow( WindowPtr window );

ComponentResult 	GetMemberName( MemberRecord* mr, Str255 name );